#!/usr/bin/sh

if [ `id -u` -eq 0 ]; then
    echo "It is not safe to run this program as root. Exiting." >&2
    exit 1
fi

PROG="bpm-readout"

CONFIG="/etc/bpm.conf"

if [ -f "$CONFIG" ]; then
    . "$CONFIG"
else
    echo "$CONFIG is missing" >&2
    BPMDATA=`pwd`
    echo "Set BPMDATA=$BPMDATA" >&2
fi

if [ -z "$BPMDATA" ]; then
    echo "BPMDATA not set in $CONFIG" >&2
    exit 1
fi

pidfile="$BPMDATA/$PROG.pid"
if [ -f "$pidfile" ]; then
    PID=`cat $pidfile`
    if [ -d "/proc/$PID" ]; then
        echo "$PROG already running as pid $PID, exiting"
        exit 1
    else
        echo "Stale pid file $pidfile, no such process $PID"
    fi
fi

cd $BPMDATA || exit $?

exec "$PROG"
